"use client";

import { Loader2 } from "lucide-react";
import { useFormStatus } from "react-dom";

export function SubmitButton({ text, className }: { text: string, className?: string }) {
	const { pending } = useFormStatus();

	return (
		<button
			type="submit"
			disabled={pending}
			className={`text-4xl text-white bg-gradient-to-r from-[#1E1E1E] to-[rgba(30,30,30,0.7)] w-48 rounded-3xl shadow-lg py-3 px-16 transition-transform duration-300 ease-in-out hover:scale-105 hover:shadow-xl focus:outline-none focus:ring-4 focus:ring-gray-600 inline-block text-center ${className}`}
		>
			{pending ? <Loader2 className="animate-spin mx-auto" /> : text}
		</button>
	);
} 